﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 684A: (1 year) VER IEEE /5800A+GHz
DATE:                  2017-03-27 07:39:48
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       217
CONFIGURATION:         Fluke 5800A (G2)
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        Tektronix TDS 684A, TDS 744A, & TDS 784A Digitizing Oscilloscope
#        Service Manual, Part No. 070-8992-03
#
#  Compatibility:
#        MET/CAL 7.3.38 or Later.
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  5800         1GH                          1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V

  1.005  IF           NOT(VERSIONCHECK("7.3.38"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright
  1.009  CALL         Sub High Voltage Safety Warning
  1.010  CALL         Sub Select Failed Test Mode
  1.011  CALL         Sub Select Guardbanding & Ver Method

  1.012  DISP         Ensure a minimum UUT warm-up time of at least
  1.012  DISP         20 minutes has been allowed to elapse, prior
  1.012  DISP         to beginning verification.

  1.013  HEAD         UUT IDENTIFICATION
  1.014  TARGET
  1.015  CALL         Sub TDS500/600/700 Setup IEEE
  1.016  IEEE2        *RST;DESE 61
  1.017  WAIT         -t 4 System Initializing ...

  1.018  MATH         @UUT_Manufacturer  = "TEKTRONIX"
  1.019  MATH         @UUT_Model         = "TDS 684A"
  1.020  MATH         @UUT_AssetNum      = UUT()

  1.021  IF           NOT(EMPTY(@UUT_AssetNum))
  1.022  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.023  ENDIF

  1.024  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.025  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.026  JMPL         END                          @Abort

  1.027  OPBR         -z Do you want to REVIEW the list of additional
  1.027  OPBR         equipment and/or accessories required?

  1.028  IF           MEM1
  1.029  DISP         The following additional equipment and/or accessories
  1.029  DISP         are required:
  1.029  DISP
  1.029  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.029  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.029  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.029  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.029  DISP         - Dual Input Coupler (BNC)
  1.029  DISP         - 50 Ohm Feedthrough (BNC)
  1.030  ENDIF

  1.031  CALL         Sub TDS600A Specifications
  1.032  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.033  JMPL         END                          @Abort
  1.034  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.035  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.036  MATH         @SourceChanNum = 1

  1.037  MATH         @Chan = 1
  1.038  CALL         Sub TDS600A (1 yr) DC Offset IEEE
  1.039  MATH         @Chan = 2
  1.040  CALL         Sub TDS600A (1 yr) DC Offset IEEE
  1.041  MATH         @Chan = 3
  1.042  CALL         Sub TDS600A (1 yr) DC Offset IEEE
  1.043  MATH         @Chan = 4
  1.044  CALL         Sub TDS600A (1 yr) DC Offset IEEE

  1.045  MATH         @Chan = 1
  1.046  CALL         Sub TDS684A (1 yr) DCV Meas Acc IEEE /5800
  1.047  JMPL         BANDWIDTH_CH1

  1.048  LABEL        DCV_ACC_CH2
  1.049  MATH         @Chan = 2
  1.050  CALL         Sub TDS684A (1 yr) DCV Meas Acc IEEE /5800
  1.051  JMPL         BANDWIDTH_CH2

  1.052  LABEL        DCV_ACC_CH3
  1.053  MATH         @Chan = 3
  1.054  CALL         Sub TDS684A (1 yr) DCV Meas Acc IEEE /5800
  1.055  JMPL         BANDWIDTH_CH3

  1.056  LABEL        DCV_ACC_CH4
  1.057  MATH         @Chan = 4
  1.058  CALL         Sub TDS684A (1 yr) DCV Meas Acc IEEE /5800
  1.059  JMPL         BANDWIDTH_CH4

  1.060  LABEL        BANDWIDTH_CH1
  1.061  MATH         @Chan = 1
  1.062  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /5800+G2
  1.063  JMPL         TIMEBASE_TRIGGER

  1.064  LABEL        BANDWIDTH_CH2
  1.065  MATH         @Chan = 2
  1.066  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /5800+G2
  1.067  JMPL         TRIG_SENS_CH2

  1.068  LABEL        BANDWIDTH_CH3
  1.069  MATH         @Chan = 3
  1.070  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /5800+G2
  1.071  JMPL         TRIG_SENS_CH3

  1.072  LABEL        BANDWIDTH_CH4
  1.073  MATH         @Chan = 4
  1.074  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /5800+G2
  1.075  JMPL         TRIG_SENS_CH4

  1.076  LABEL        DELAY_MATCH
  1.077  MATH         @Chan = 1
  1.078  CALL         Sub TDS600A (1 yr) Delay Match IEEE /5800
  1.079  JMPL         OUTPUT_SIGNAL

  1.080  LABEL        TIMEBASE_TRIGGER
  1.081  MATH         @Chan = 1
  1.082  CALL         Sub TDS600A (1 yr) Time Base IEEE /5800
  1.083  CALL         Sub TDS600A (1 yr) Trig Time Acc IEEE /5800
  1.084  CALL         Sub TDS600A (1 yr) Sens IEEE /5800+G2
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.085  OPBR         -z Each channel trig sensitivity test will take about
  1.085  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.085  OPBR         channels to save time, unless desired.
  1.085  OPBR
  1.085  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.085  OPBR         3, and 4?
  1.086  MATH         @TestCh234Sens = MEM1

  1.087  MATH         @Chan = 1
  1.088  CALL         Sub TDS600A (1 yr) Aux Trig In Sens IEEE /5800
  1.089  JMPL         DCV_ACC_CH2

  1.090  LABEL        TRIG_SENS_CH2

  1.091  IF           @TestCh234Sens
  1.092  MATH         @Chan = 2
  1.093  CALL         Sub TDS600A (1 yr) Sens IEEE /5800+G2
  1.094  ENDIF

  1.095  JMPL         DCV_ACC_CH3

  1.096  LABEL        TRIG_SENS_CH3

  1.097  IF           @TestCh234Sens
  1.098  MATH         @Chan = 3
  1.099  CALL         Sub TDS600A (1 yr) Sens IEEE /5800+G2
  1.100  ENDIF

  1.101  JMPL         DCV_ACC_CH4

  1.102  LABEL        TRIG_SENS_CH4

  1.103  IF           @TestCh234Sens
  1.104  MATH         @Chan = 4
  1.105  CALL         Sub TDS600A (1 yr) Sens IEEE /5800+G2
  1.106  ENDIF

  1.107  JMPL         DELAY_MATCH

  1.108  LABEL        OUTPUT_SIGNAL
  1.109  CALL         Sub TDS600A (1 yr) Output Signal IEEE /5800
  1.110  CALL         Sub TDS600A (1 yr) Probe Comp IEEE /5800

  1.111  LABEL        END
  1.112  IEEE2        *RST;DESE 61

  1.113  IF           @Abort
  1.114  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.115  ENDIF

  1.116  END
